Bug 1315836 - cycle crashes upon use (after wxPython 3.0 transition)
Summary: cycle crashes upon use (after wxPython 3.0 transition)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cycle
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-08 18:04 UTC by Thomas Jarosch
Modified: 2018-04-11 13:55 UTC (History)
4 users (show)

Fixed In Version: cycle-0.3.1-21.fc22 cycle-0.3.1-21.fc23 cycle-0.3.1-21.fc24 cycle-0.3.1-21.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-20 20:21:09 UTC


Attachments (Terms of Use)
Patch from Debian to fix the issue (3.66 KB, text/plain)
2016-03-08 18:06 UTC, Thomas Jarosch
no flags Details


Links
System ID Priority Status Summary Last Updated
Debian BTS 758955 None None None 2016-03-08 18:04:30 UTC

Description Thomas Jarosch 2016-03-08 18:04:31 UTC
cycle crashes once you create a new user entry
with a python backtrace:

---------------------------------
$ cycle
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
06:53:39 PM: Debug: Adding duplicate image handler for 'PNG file'
Traceback (most recent call last):
  File "/usr/bin/cycle", line 214, in <module>
    app = MyApp(0)
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/_core.py", line 8628, in __init__
    self._BootstrapApp()
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/_core.py", line 8196, in _BootstrapApp
    return _core_.PyApp__BootstrapApp(*args, **kwargs)
  File "/usr/bin/cycle", line 203, in OnInit
    self.frame_init()
  File "/usr/bin/cycle", line 207, in frame_init
    frame = MyFrame(None, -1,"")
  File "/usr/bin/cycle", line 82, in __init__
    self.OnCurrent(self)
  File "/usr/bin/cycle", line 180, in OnCurrent
    self.cal.Set_Year(wx.DateTime_Today().GetYear())
  File "/usr/share/cycle/cal_year.py", line 180, in Set_Year
    self.Draw_Year()
  File "/usr/share/cycle/cal_year.py", line 211, in Draw_Year
    self.month[m].EnableYearChange(True)
AttributeError: 'Month_Cal' object has no attribute 'EnableYearChange'
---------------------------------


Version-Release number of selected component (if applicable):

$ rpm -q cycle
cycle-0.3.1-18.fc22.noarch

Steps to Reproduce:
1. Start cycle
2. Create new user
3. Boom!


Debian has a patch to fix the interaction with wxPython 3.0.

Note: This is not the same as #1190942.

Comment 1 Thomas Jarosch 2016-03-08 18:06:53 UTC
Created attachment 1134270 [details]
Patch from Debian to fix the issue

Patch from Debian bugtracker.
It applies cleanly and the program appears to behave normal.

Comment 2 Thomas Jarosch 2016-03-08 18:13:44 UTC
isn't the "International Women's day"
a good opportunity to fix "cycle" on Fedora 22 :)

https://en.wikipedia.org/wiki/International_Women's_Day

Comment 3 Fedora Update System 2016-03-09 14:39:28 UTC
cycle-0.3.1-20.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6ea8154d5

Comment 4 Fedora Update System 2016-03-09 14:39:36 UTC
cycle-0.3.1-20.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a8a332c417

Comment 5 Matěj Cepl 2016-03-09 14:40:10 UTC
Is this what you wanted? And sorry to all ladies for a day delay ...

Comment 6 Fedora Update System 2016-03-10 16:51:47 UTC
cycle-0.3.1-20.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e6ea8154d5

Comment 7 Fedora Update System 2016-03-10 16:53:39 UTC
cycle-0.3.1-20.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a8a332c417

Comment 8 Thomas Jarosch 2016-03-10 21:44:39 UTC
Please apply the patch also on Fedora 22.
Current code in the cycle.spec file:
---------------------
%if 0%{?fedora} > 22
%patch1 -p1 -b .07_wxpython3.0
%endif
---------------------


Also it would be nice to have a %changelog entry for the fix.

Thanks Matěj! The ladies love you :)

Comment 9 Fedora Update System 2016-03-11 12:03:18 UTC
cycle-0.3.1-21.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ca1ddd3ca

Comment 10 Fedora Update System 2016-03-11 12:03:48 UTC
cycle-0.3.1-21.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-837bc47d6c

Comment 11 Fedora Update System 2016-03-11 12:04:05 UTC
cycle-0.3.1-21.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2866dfd5cc

Comment 12 Fedora Update System 2016-03-11 12:04:22 UTC
cycle-0.3.1-21.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-86f2a8af1d

Comment 13 Matěj Cepl 2016-03-11 12:14:48 UTC
(In reply to Thomas Jarosch from comment #8)
> Also it would be nice to have a %changelog entry for the fix.
> 
> Thanks Matěj! The ladies love you :)

How could I resist helping them?

Comment 14 Fedora Update System 2016-03-11 19:25:25 UTC
cycle-0.3.1-21.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2866dfd5cc

Comment 15 Fedora Update System 2016-03-12 16:52:58 UTC
cycle-0.3.1-21.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0ca1ddd3ca

Comment 16 Fedora Update System 2016-03-12 17:25:05 UTC
cycle-0.3.1-21.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-837bc47d6c

Comment 17 Fedora Update System 2016-03-12 20:50:29 UTC
cycle-0.3.1-21.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-86f2a8af1d

Comment 18 Fedora Update System 2016-03-20 20:21:06 UTC
cycle-0.3.1-21.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-03-21 01:51:57 UTC
cycle-0.3.1-21.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-03-26 18:12:12 UTC
cycle-0.3.1-21.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-03-28 01:54:54 UTC
cycle-0.3.1-21.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.